var myrules = {
    'tr.test-begin' : function (element) {
	objModToOrigClass(element, "collapsed", "collapsed")
      	element.collapsed = 1;

      	element.onclick = function(e) {
		if (element.collapsed) {
			objModToOrigClass(element, "", "collapsed")
 	     		element.collapsed = 0;
		} else {
			objModToOrigClass(element, "collapsed", "collapsed")
 	     		element.collapsed = 1;
		}
      	}
    }
};

Behaviour.register(myrules);

//
// Since many mainstream browsers leak on function closure we need to
// manually fix the leak. This is done by breaking a cyclic dependency
// to the closure. The closures are made in the behaviour styles, but
// we remember the closures by attaching them to the appropriate
// elements and remembers to null them.
//
